<mat-toolbar class="mat-elevation-z2">
  <span class="header-container">
    <div class="empaia-logo">
      <app-header-logo (logoClicked)="navigateTo($event)"></app-header-logo>
    </div>
    <span class="center-container">
      <div class="spacer-center-start"></div>
      <div class="center">
        <app-header-nav [linkActive]="(activeNavLink$|ngrxPush)" [showClearances]="showClearances"></app-header-nav>
      </div>
    </span>
    <span class="end-container">
      <div class="logged-in-container">
        <ng-container *ngIf="loggedIn$ | ngrxPush; else registerTemplate">
          <ng-container *ngrxLet="userInfo$; let userInfo">
            <app-profile-organization-button
              *ngIf="(userOrganizations$|ngrxPush)?.length"
              [userInfo]="userInfo"
              (organizationButtonClicked)="openSelectOrganization($event)">
            </app-profile-organization-button>
            <app-profile-dropdown
              [userInfo]="userInfo"
              [showAdminItem]="(showAdminButton$|ngrxPush)"
              [initialAdminRoute]="(adminRoute$|ngrxPush)"
              [showClearances]="(isClearanceMaintainer$|ngrxPush)"
              (logoutClicked)="logout()"
              (itemClicked)="navigateTo($event)">
            </app-profile-dropdown>
            <app-header-notification-button
              [numNotifications]="(numNotifications$|ngrxPush)"
              (iconClicked)="navigateTo($event)">
            </app-header-notification-button>
          </ng-container>
        </ng-container>
      </div>
      <div>
        <ng-container *ngrxLet="loggedIn$ as loggedIn">
          <app-language-button
            [currentLang]="(currentLang$|ngrxPush)!"
            (langSelected)="setLanguage({langDef: $event,persist: loggedIn})">
          </app-language-button>
        </ng-container>
      </div>
    </span>
  </span>
</mat-toolbar>
<ng-template #registerTemplate>
  <app-header-auth-buttons
    (registerClick)="register()"
    (loginClick)="login()">
  </app-header-auth-buttons>
</ng-template>
